/**
 * 1Grids v1
 * author: Saeidreza Makmali
 */

.box {
  *zoom: 1;
  min-height: 1px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
}

.box:after, .box:before {
  content: " ";
  display: table;
}

.box:after {
  clear: both;
}

.grid {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.float-left, .float-start {
  float: left;
}

.float-right, .float-end {
  float: right;
}

[dir=rtl].float-start, [dir=rtl] .float-start {
  float: right;
}

[dir=rtl].float-end, [dir=rtl] .float-end {
  float: left;
}

.w1 {
  width: 8.33333%
}

.w2 {
  width: 16.66667%
}

.w3 {
  width: 25%
}

.w4 {
  width: 33.33333%
}

.w5 {
  width: 41.66667%
}

.w6 {
  width: 50%
}

.w7 {
  width: 58.33333%
}

.w8 {
  width: 66.66667%
}

.w9 {
  width: 75%
}

.w10 {
  width: 83.33333%
}

.w11 {
  width: 91.66667%
}

.w12 {
  width: 100%
}

.wx {
  width: 9999px
}

@media all and (min-width:480px) {
  .container {
    max-width: 470px
  }
  .wt1 {
    width: 8.33333%
  }
  .wt2 {
    width: 16.66667%
  }
  .wt3 {
    width: 25%
  }
  .wt4 {
    width: 33.33333%
  }
  .wt5 {
    width: 41.66667%
  }
  .wt6 {
    width: 50%
  }
  .wt7 {
    width: 58.33333%
  }
  .wt8 {
    width: 66.66667%
  }
  .wt9 {
    width: 75%
  }
  .wt10 {
    width: 83.33333%
  }
  .wt11 {
    width: 91.66667%
  }
  .wt12 {
    width: 100%
  }
}

@media all and (min-width:768px) {
  .container {
    max-width: 750px
  }
  .ws1 {
    width: 8.33333%
  }
  .ws2 {
    width: 16.66667%
  }
  .ws3 {
    width: 25%
  }
  .ws4 {
    width: 33.33333%
  }
  .ws5 {
    width: 41.66667%
  }
  .ws6 {
    width: 50%
  }
  .ws7 {
    width: 58.33333%
  }
  .ws8 {
    width: 66.66667%
  }
  .ws9 {
    width: 75%
  }
  .ws10 {
    width: 83.33333%
  }
  .ws11 {
    width: 91.66667%
  }
  .ws12 {
    width: 100%
  }
}

@media all and (min-width:992px) {
  .container {
    max-width: 970px
  }
  .wm1 {
    width: 8.33333%
  }
  .wm2 {
    width: 16.66667%
  }
  .wm3 {
    width: 25%
  }
  .wm4 {
    width: 33.33333%
  }
  .wm5 {
    width: 41.66667%
  }
  .wm6 {
    width: 50%
  }
  .wm7 {
    width: 58.33333%
  }
  .wm8 {
    width: 66.66667%
  }
  .wm9 {
    width: 75%
  }
  .wm10 {
    width: 83.33333%
  }
  .wm11 {
    width: 91.66667%
  }
  .wm12 {
    width: 100%
  }
}

@media all and (min-width:1200px) {
  .container {
    max-width: 1170px
  }
  .row {
    max-width: 1024px
  }
  .wl1 {
    width: 8.33333%
  }
  .wl2 {
    width: 16.66667%
  }
  .wl3 {
    width: 25%
  }
  .wl4 {
    width: 33.33333%
  }
  .wl5 {
    width: 41.66667%
  }
  .wl6 {
    width: 50%
  }
  .wl7 {
    width: 58.33333%
  }
  .wl8 {
    width: 66.66667%
  }
  .wl9 {
    width: 75%
  }
  .wl10 {
    width: 83.33333%
  }
  .wl11 {
    width: 91.66667%
  }
  .wl12 {
    width: 100%
  }
}

.container {
  width: 1156px;
  margin: 0 auto;
}

.visible-l, .visible-m, .visible-s, .visible-t, .visible-x {
  display: none
}

.float-none {
  float: none!important
}

@media (max-width:1024px) {
  .searchText{
    width: 83%;
  }
  .products article{
    width: 240px;
    height: 240px;
  }
}

@media (max-width:768px) {
  .products article {
    width: 373px;
    height: 373px;
  }
  .searchText{
    width: 83%;
  }
  .address {
    width: 100%;
    border-left: 0
  }
  .phone {
    width: 100%;
    border-top: 1px #9d9998 solid;
    padding: 1em 0 0 0;
    margin: 1em auto 0 auto;
  }
    .modal-content{
        width: 55%
    }
  .checkout{
      width:100%
  }
  .checkoutAside{
      width:100%;
      margin-right:0
  }
}

@media (max-width:480px) {
  .container {
    width: 100%
  }
  .visible-x {
    display: block
  }
  .hidden-x {
    display: none
  }
  .float-none-x {
    float: none!important
  }
  .headerLeft {
    float: none;
    text-align: center
  }
  .headerRight {
    float: none;
    position: static;
  }
  .products article {
    width: 100%;
    height: auto;
  }
  .logo {
    float: none;
  }
  .searchText{
    width: 73%;
  }
  .address {
    width: 100%;
    border-left: 0
  }
  .phone {
    width: 100%;
    border-top: 1px #9d9998 solid;
    padding: 1em 0 0 0;
    margin: 1em auto 0 auto;
  }
  .footerLeftSection {
    padding: 2em 0 0 0px;
  }
  .social {
    float: none;
    width: 100%
  }
    .modal-content{
        width: 80%
    }
    .loginContainer{
        padding: 0
    }
    .registerWrapper {
        font-size: 1.1em;
    }
    .productList ul li a{
        font-size: 2.8em
    }
    .contactInfoManager li{
        width:100%;
    }
    .contactInfoManager li:last-child{
        margin: 20px 0 0 0;
    }
}

@media (min-width:480px) and (max-width:767px) {
  .visible-t {
    display: block
  }
  .hidden-t {
    display: none
  }
  .float-none-t {
    float: none!important
  }
}

@media (min-width:768px) and (max-width:991px) {
  .visible-s {
    display: block
  }
  .hidden-s {
    display: none
  }
  .float-none-s {
    float: none!important
  }
}

@media (min-width:992px) and (max-width:1199px) {
  .visible-m {
    display: block
  }
  .hidden-m {
    display: none
  }
  .float-none-m {
    float: none!important
  }
}

@media (min-width:1200px) {
  .visible-l {
    display: block
  }
  .hidden-l {
    display: none
  }
  .float-none-l {
    float: none!important
  }
}

#menu-trigger {
  /* Hide it initially */
  display: none;
}

@media screen and (max-width: 600px) {
  #menu-wrap {
    position: relative;
    opacity: 0.8 !important;
    z-index: 1000;
  }
  #menu-wrap * {
    box-sizing: border-box;
  }
  #menu-trigger {
    display: block;
    /* Show it now */
    height: 40px;
    line-height: 46px;
    cursor: pointer;
    padding: 0 57px 0 0;
    color: #fafafa;
    font-weight: bold;
    /* Multiple backgrounds here, the first is base64 encoded */
    font-size: 2.5em
  }
  div #menu-main {
    margin: 0;
    padding: 10px;
    position: absolute;
    top: 40px;
    width: 200px;
    z-index: 1;
    display: none;
    box-shadow: none;
    background: #fff;
    right:20px
  }
  div #menu-main:after {
    content: '';
    position: absolute;
    right: 40px;
    top: -8px;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 8px solid #fff;
  }
  div #menu-main ul {
    position: static;
    visibility: visible;
    opacity: 1;
    margin: 0;
    background: none;
    box-shadow: none;
  }
  div #menu-main ul ul {
    margin: 0 0 0 20px !important;
    box-shadow: none;
  }
  div #menu-main li {
    position: static;
    display: block;
    float: none;
    border: 0;
    margin: 5px;
    box-shadow: none;
    background: none;
    line-height: 4em;
    text-align: right;
  }
  div #menu-main li a::before {
    bottom: auto
  }
  div #menu-main ul li {
    margin-left: 20px;
    box-shadow: none;
  }
  div #menu-main a {
    display: block;
    float: none;
    padding: 0;
    color: #000;
  }
  div #menu-main a:hover {
    color: #000;
  }
  div #menu-main ul a {
    padding: 0;
    width: auto;
  }
  div #menu-main ul a:hover {
    background: none;
  }
  div #menu-main ul li:first-child a:after, div #menu-main ul ul li:first-child a:after {
    border: 0;
  }
}

@media screen and (min-width: 600px) {
  div #menu-main {
    display: block !important;
  }
}

/* iPad */

.no-transition {
  transition: none;
  opacity: 1;
  visibility: visible;
  display: none;
}

div #menu-main li:hover>.no-transition {
  display: block;
}
